# QAbstractAnimation Class Reference

### [com.trolltech.qt.core package]

Inherits QObject.

### Constructor

- void QAbstractAnimation(QObject parent)

### Constructor Properties

- prototype: The QAbstractAnimation prototype object
- Forward
- Backward
- Direction( value )
- KeepWhenStopped = 0
- DeleteWhenStopped
- DeletionPolicy( value )
- Stopped
- Paused
- Running
- State( value )

### Prototype Object Properties

The QAbstractAnimation prototype object inherits properties from the QObject prototype object and also has the following properties.

- int currentLoopTime()
- QAnimationGroup group()
- int totalDuration()

### Instance Properties

QAbstractAnimation objects inherit properties from the QAbstractAnimation prototype object and also have the following properties.

- state
- loopCount
- currentTime
- currentLoop
- direction
- duration